/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.communication.services.ssrc
 * File:    PurgePublisherReceive.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.communication.services.ssrc;

import org.trustedcomputinggroup._2010.ifmap._2.PurgePublisherRequestType;
import org.trustedcomputinggroup._2010.ifmap._2.ResponseType;
import org.trustedcomputinggroup._2010.ifmap._2.ResponseType.PurgePublisherReceived;

import de.fhhannover.inform.iron.mapserver.communication.DeprecatedDataModelServiceAccessor;
import de.fhhannover.inform.iron.mapserver.datamodel.exceptions.NoSuchPublisherException;
import de.fhhannover.inform.iron.mapserver.datamodel.exceptions.ParameterException;
import de.fhhannover.inform.iron.mapserver.datamodel.exceptions.PurgePublisherNoAllowedException;
import de.fhhannover.inform.iron.mapserver.datamodel.exceptions.RequestCreationException;
import de.fhhannover.inform.iron.mapserver.messages.PurgePublisherRequest;
import de.fhhannover.inform.iron.mapserver.messages.RequestFactory;

/**
 * PurgePublisher class
 * 
 * Manages the purgePublisher requests and pass the requests to the data model
 * 
 * @author dl
 * @version 0.1
 * 
 * created: 05.03.2010
 *
 * changes:
 *  05.03.2010 - Creates class
 *
 */

public class PurgePublisherReceive {

	public static ResponseType purgePublisher(PurgePublisherRequestType purgePublisher) 
	throws ParameterException, RequestCreationException {
		
		RequestFactory requestFactory = RequestFactory.getInstance();
		PurgePublisherRequest request = requestFactory.createPurgePublisherRequest(purgePublisher.getSessionId(), purgePublisher.getIfmapPublisherId());
		try {
    		System.err.println("Dennis, Waldemar handle those new exceptions!");
			DeprecatedDataModelServiceAccessor.getDataModelServiceInstance()
														.purgePublisher(request);
		} catch (NoSuchPublisherException e) {
			// TODO Handle exception!
		} catch (PurgePublisherNoAllowedException e) {
			// TODO Handle Exception!
			e.printStackTrace();
		}
		
		ResponseType rt = new ResponseType();
		PurgePublisherReceived ppr = new PurgePublisherReceived();
		rt.setPurgePublisherReceived(ppr);
		
//		rt.setEndSessionResult(new ResponseType.PurgePublisherReceived());
		
		return rt;
	}

}
