/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.communication.services.ssrc
 * File:    RenewSessionReceive.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.communication.services.ssrc;

import java.security.NoSuchAlgorithmException;

import org.apache.log4j.Logger;
import org.trustedcomputinggroup._2010.ifmap._2.RenewSessionType;
import org.trustedcomputinggroup._2010.ifmap._2.ResponseType;

import de.fhhannover.inform.iron.mapserver.communication.connections.ConnectionContainer;
import de.fhhannover.inform.iron.mapserver.communication.services.ssrc.exceptions.SessionNotFoundException;
import de.fhhannover.inform.iron.mapserver.logging.Logging;

/**
 * RenewSessionReceive class
 * 
 * Renews the sessions of MAPC
 * 
 * @author Waldemar Bender
 * @version 0.1
 * 
 * created: ???
 *
 * changes:
 *  14.02.2010 - cleanup
 *
 */
public class RenewSessionReceive {
	private static Logger logger;
	static {
		logger = Logging.getTheLogger();
	}

	public static ResponseType renewSession(RenewSessionType renewSessionType) throws NoSuchAlgorithmException, SessionNotFoundException{
		ConnectionContainer.getInstance().renewSession(renewSessionType.getSessionId());
        
		ResponseType rt = new ResponseType();
		
		rt.setRenewSessionResult(new ResponseType.RenewSessionResult());


		return rt;
		
	}
	
}
